<?php

/**
 * @file
 * Default theme implementation to display a mosaik with contextual links.
 *
 * Available variables:
 * - $title: The sanitized title of the mosaik.
 * - $content: The sanitized content of the mosaik.
 * These are defined in template_preprocess_mosaik_block()
 * and represent whichever variables you might actually use to display the
 * main content of your module's object.
 *
 * Standard variables (required for contextual links):
 * - $classes: String of classes that can be used to style contextually through
 *   CSS.
 * - $title_prefix (array): An array containing additional output populated by
 *   modules, intended to be displayed in front of the main title tag that
 *   appears in the template.
 * - $title_suffix (array): An array containing additional output populated by
 *   modules, intended to be displayed after the main title tag that appears in
 *   the template.
 * The above variables are a subset of those which Drupal provides to all
 * templates, and they must be printed in your template file in order for
 * contextual links to be properly attached. For example, the core Contextual
 * Links module adds the renderable contextual links themselves inside
 * $title_suffix, so they will appear immediately after the object's title in
 * the HTML. (This placement is for accessibility reasons, among others.)
 */
?>
<div class="<?php print $classes; ?>">
  <?php print render($title_prefix); ?>
  <?php if ($title): ?>
  <h2><?php print $title; ?></h2>
  <?php endif; ?>
  <?php print render($title_suffix); ?>
  <?php print $content; ?>
</div>
